Create a tax
post
/rest/api/taxes Creates a Tax resource.
Creates a tax in the current organization. Give it a rate (a percentage from 0 to 100), a name, and the Country it applies to as an IRI in country. Send X-Flowkiwi-Locale to set the translatable name and description for a specific locale.
Headers
| Name | Type | Required | Description |
|---|---|---|---|
X-Flowkiwi-Organization-Id | string | required | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |
X-Flowkiwi-Locale | string | - | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |
X-Flowkiwi-Locale-Fallback | boolean | - | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |
Request body
| Property | Type | Required | Description |
|---|---|---|---|
name | string | null | - | The name of the tax. |
description | string | null | - | A short description of the tax. |
rate | string | - | The tax rate as a percentage (0-100), with up to two decimals. |
country | string | required | The Country to which this tax belongs. |
Response
201 - Tax resource created
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
id | string | - | The resource's unique identifier (UUID). |
name | string | null | - | This property supports translations. The name of the tax. |
description | string | null | - | This property supports translations. A short description of the tax. |
rate | number | - | The tax rate as a percentage (0-100), with up to two decimals. |
country | string | required | The Country to which this tax belongs. |
createdAt | string | - | The date and time when the resource was created (ISO 8601 format). |
updatedAt | string | - | The date and time when the resource was last modified (ISO 8601 format). |
| Property | Type | Required | Description |
|---|---|---|---|
id | string | - | The resource's unique identifier (UUID). |
name | string | null | - | This property supports translations. The name of the tax. |
description | string | null | - | This property supports translations. A short description of the tax. |
rate | number | - | The tax rate as a percentage (0-100), with up to two decimals. |
country | string | required | The Country to which this tax belongs. |
createdAt | string | - | The date and time when the resource was created (ISO 8601 format). |
updatedAt | string | - | The date and time when the resource was last modified (ISO 8601 format). |
Errors
400 - Invalid input
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
| Property | Type | Required | Description |
|---|---|---|---|
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
403 - Access denied. The caller is missing one or more identity permissions required for this operation.
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
type | string | - | |
title | string | - | |
status | integer | - | |
detail | string | - | |
missingPermissions | string[] | - | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |
422 - An error occurred
| Property | Type | Required | Description | ||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
@context | object | - | |||||||||||||||||||||||||
@id | string | required | |||||||||||||||||||||||||
@type | string | required | |||||||||||||||||||||||||
status | integer | - | |||||||||||||||||||||||||
violations | object[] | - | |||||||||||||||||||||||||
Show | |||||||||||||||||||||||||||
| Property | Type | Required | Description |
|---|---|---|---|
propertyPath | string | required | The property path of the violation |
message | string | required | The message associated with the violation |
code | string | - | The code of the violation |
hint | string | - | An extra hint to understand the violation |
payload | object | - | The serialized payload of the violation |
detailstringtypestringtitlestring | nullinstancestring | null| Property | Type | Required | Description | ||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
status | integer | - | |||||||||||||||||||||||||
violations | object[] | - | |||||||||||||||||||||||||
Show | |||||||||||||||||||||||||||
| Property | Type | Required | Description |
|---|---|---|---|
propertyPath | string | required | The property path of the violation |
message | string | required | The message associated with the violation |
code | string | - | The code of the violation |
hint | string | - | An extra hint to understand the violation |
payload | object | - | The serialized payload of the violation |
detailstringtypestringtitlestring | nullinstancestring | null